package com.sqx.modules.shop.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.sqx.modules.shop.entity.ShopBankCardInfo;

/**
 * 店铺银行卡信息
 */
public interface ShopBankCardInfoService extends IService<ShopBankCardInfo> {

    void saveCardInfo(ShopBankCardInfo shopBankCardInfo);

    void updateCardInfo(ShopBankCardInfo shopBankCardInfo);

    ShopBankCardInfo getByShopId(Long shopId);

    ShopBankCardInfo getByUserId(Long userId);

    void deleteByShopId(Long shopId);
}
